解决Cocos3.2以上版本在Android5.0崩溃的问题

For BMFont and Httpclient Crash on Android L 
I fixed it by use cocos2dx v3.2 Androidk instedof cocos2dx v3.3rc0 Androidk

ex:
Android.MK in cocos2dx v3.3 rc0 (this will crash on Android L)

          APP_STL := c++_static
          NDK_TOOLCHAIN_VERSION=clang 
           APP_CPPFLAGS := -frtti -DCC_ENABLE_CHIPMUNK_INTEGRATION=1 -std=c++11 -fsigned-char
           APP_LDFLAGS := -latomic   this line may caused issue
           ifeq ($(NDK_DEBUG),1)
               APP_CPPFLAGS += -DCOCOS2D_DEBUG=1
               APP_OPTIM := debug
            else
            APP_CPPFLAGS += -DNDEBUG
            APP_OPTIM := release
            endif

Android.MK in cocos2dx v3.2 (this works fine )

         NDK_TOOLCHAIN_VERSION=4.8
         APP_STL := gnustl_static
         APP_CPPFLAGS := -frtti -DCOCOS2D_DEBUG=1 -DCC_ENABLE_CHIPMUNK_INTEGRATION=1 -std=c++11 -fsigned-char
         APP_CPPFLAGS += -fexceptions 
展开阅读全文

没有更多推荐了,返回首页